TikTok Shop

One product's GMV, orders and items sold over time, by channel, with returns and ratings

GET/api/public/v1/tik_tok_shop/analytics/products/{productId}/performance
ConnectorAnswers empty results in the documented shape until the brand switches on this connection.

Operation id getTikTokShopProductPerformance

Request

curl

curl "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/analytics/products/<productId>/performance?start_date=2026-11-01&end_date=2026-11-01" \
  -H "Authorization: Bearer gdc_..."

Parameters

NameInTypeNotes
productIdpathstringrequired
start_datequerystring (date)required
end_datequerystring (date)required
granularityquerystringOne of 1DALL Default 1D
currencyquerystringOne of USDLOCAL
organization_idqueryinteger

Responses

200Success

FieldTypeNotes
imageUrlstring, nullable
intervalsarray of object
intervals[].[].cancelAndRefundsobject, nullable
intervals[].[].cancelAndRefunds.canceledinteger, nullable
intervals[].[].cancelAndRefunds.refundedinteger, nullable
intervals[].[].cancelAndRefunds.replacementsinteger, nullable
intervals[].[].cancelAndRefunds.returnedinteger, nullable
intervals[].[].endDatestring, nullable
intervals[].[].gmvobject, nullable
intervals[].[].gmv.amountstring, nullable
intervals[].[].gmv.currencystring, nullable
intervals[].[].itemsSoldinteger, nullable
intervals[].[].ordersinteger, nullable
intervals[].[].salesByChannelarray of object
intervals[].[].salesByChannel[].[].avgCustomersinteger, nullable
intervals[].[].salesByChannel[].[].contentTypestring
intervals[].[].salesByChannel[].[].gmvobject, nullable
intervals[].[].salesByChannel[].[].gmv.amountstring, nullable
intervals[].[].salesByChannel[].[].gmv.currencystring, nullable
intervals[].[].salesByChannel[].[].itemsSoldinteger, nullable
intervals[].[].startDatestring, nullable
intervals[].[].trafficByChannelarray of object
intervals[].[].trafficByChannel[].[].avgConversionRatestring, nullable
intervals[].[].trafficByChannel[].[].avgUniquePageViewsinteger, nullable
intervals[].[].trafficByChannel[].[].contentTypestring
intervals[].[].trafficByChannel[].[].ctrstring, nullable
intervals[].[].trafficByChannel[].[].impressionsinteger, nullable
intervals[].[].trafficByChannel[].[].pageViewsinteger, nullable
latestAvailableDatestring, nullable
productIdstring
ratingsarray of object
ratings[].[].countinteger, nullable
ratings[].[].percentagestring, nullable
ratings[].[].starsstring
titlestring, nullable

Example

{
  "imageUrl": "https://example.com/p/1",
  "intervals": [
    {
      "cancelAndRefunds": {
        "canceled": 3,
        "refunded": 3,
        "replacements": 3,
        "returned": 3
      },
      "endDate": "string",
      "gmv": {
        "amount": "string",
        "currency": "usd"
      },
      "itemsSold": 3,
      "orders": 3,
      "salesByChannel": [
        {
          "avgCustomers": 3,
          "contentType": "string",
          "gmv": {
            "amount": null,
            "currency": null
          },
          "itemsSold": 3
        }
      ],
      "startDate": "string",
      "trafficByChannel": [
        {
          "avgConversionRate": "string",
          "avgUniquePageViews": 1,
          "contentType": "string",
          "ctr": "string",
          "impressions": 3,
          "pageViews": 1
        }
      ]
    }
  ],
  "latestAvailableDate": "string",
  "productId": "string",
  "ratings": [
    {
      "count": 3,
      "percentage": "string",
      "stars": "string"
    }
  ],
  "title": "string"
}

Errors: 400401404422429502with an error and usually a message. See errors.

Example values are made up from each field's type and name.